#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configdebugoptions.ui'
**
** Created: Tue Jul 25 12:12:26 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configdebugoptions.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConfigDebugOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigDebugOptions::ConfigDebugOptions( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigDebugOptions" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ConfigDebugOptionsLayout = new QGridLayout( this, 1, 1, 11, 6, "ConfigDebugOptionsLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    showDebugCheck = new QCheckBox( this, "showDebugCheck" );
    layout7->addWidget( showDebugCheck );
    spacer29_2 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer29_2 );

    ConfigDebugOptionsLayout->addLayout( layout7, 0, 0 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    WriteLogCheck = new QCheckBox( this, "WriteLogCheck" );
    layout8->addWidget( WriteLogCheck );
    spacer28_4 = new QSpacerItem( 170, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer28_4 );

    ConfigDebugOptionsLayout->addLayout( layout8, 1, 0 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    spinKvpncDebugLevel = new QSpinBox( this, "spinKvpncDebugLevel" );
    spinKvpncDebugLevel->setEnabled( TRUE );
    spinKvpncDebugLevel->setMaxValue( 99 );
    spinKvpncDebugLevel->setMinValue( 0 );
    spinKvpncDebugLevel->setValue( 0 );
    layout9->addWidget( spinKvpncDebugLevel );

    textLabel1_3_2_3 = new QLabel( this, "textLabel1_3_2_3" );
    layout9->addWidget( textLabel1_3_2_3 );
    spacer28_2 = new QSpacerItem( 150, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer28_2 );

    ConfigDebugOptionsLayout->addLayout( layout9, 2, 0 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    KeepConnectionFilesCheckBox = new QCheckBox( this, "KeepConnectionFilesCheckBox" );
    layout10->addWidget( KeepConnectionFilesCheckBox );
    spacer31 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout10->addItem( spacer31 );

    ConfigDebugOptionsLayout->addLayout( layout10, 3, 0 );
    spacer6 = new QSpacerItem( 20, 21, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConfigDebugOptionsLayout->addItem( spacer6, 5, 0 );
    languageChange();
    resize( QSize(337, 210).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigDebugOptions::~ConfigDebugOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigDebugOptions::languageChange()
{
    setCaption( tr2i18n( "Debug" ) );
    showDebugCheck->setText( tr2i18n( "Show debug console" ) );
    QToolTip::add( showDebugCheck, tr2i18n( "Enable/disable the debug console which shows useful debug output" ) );
    QWhatsThis::add( showDebugCheck, tr2i18n( "Enable this if you want to see the debug console" ) );
    WriteLogCheck->setText( tr2i18n( "&Write log file" ) );
    QToolTip::add( WriteLogCheck, tr2i18n( "Enables/disables the log file writing (Recommended!)" ) );
    QWhatsThis::add( WriteLogCheck, tr2i18n( "Enable this to do writing a log file. Its located at /root/.kde/share/apps/kvpnc/kvpnc.log" ) );
    QToolTip::add( spinKvpncDebugLevel, tr2i18n( "Debug level of KVpnc" ) );
    QWhatsThis::add( spinKvpncDebugLevel, tr2i18n( "This is the debug level of vpnc" ) );
    textLabel1_3_2_3->setText( tr2i18n( "Debug level" ) );
    QToolTip::add( textLabel1_3_2_3, tr2i18n( "Debug level of KVpnc" ) );
    KeepConnectionFilesCheckBox->setText( tr2i18n( "&Keep connection files" ) );
    QToolTip::add( KeepConnectionFilesCheckBox, tr2i18n( "Check this for keeping the connection files" ) );
    QWhatsThis::add( KeepConnectionFilesCheckBox, tr2i18n( "Enable this if you want to see the debug console" ) );
}

#include "configdebugoptions.moc"
