#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilenetworknatoptionsbase.ui'
**
** Created: Tue Jul 25 12:12:27 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilenetworknatoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"

/*
 *  Constructs a ProfileNetworkNatOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileNetworkNatOptionsBase::ProfileNetworkNatOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileNetworkNatOptionsBase" );
    ProfileNetworkNatOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileNetworkNatOptionsBaseLayout"); 

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    UdpPortCheckbox = new QCheckBox( this, "UdpPortCheckbox" );
    UdpPortCheckbox->setEnabled( FALSE );
    layout9->addWidget( UdpPortCheckbox );

    UdpPortSpinbox = new QSpinBox( this, "UdpPortSpinbox" );
    UdpPortSpinbox->setEnabled( FALSE );
    UdpPortSpinbox->setMaxValue( 65535 );
    UdpPortSpinbox->setMinValue( 1 );
    UdpPortSpinbox->setValue( 10000 );
    layout9->addWidget( UdpPortSpinbox );
    spacer7_2 = new QSpacerItem( 46, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer7_2 );

    ProfileNetworkNatOptionsBaseLayout->addLayout( layout9, 2, 0 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    UseUdpCheckbox = new QCheckBox( this, "UseUdpCheckbox" );
    layout8->addWidget( UseUdpCheckbox );
    spacer39 = new QSpacerItem( 101, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer39 );

    ProfileNetworkNatOptionsBaseLayout->addLayout( layout8, 1, 0 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer48 = new QSpacerItem( 50, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer48 );

    LabelCommectionType_2 = new QLabel( this, "LabelCommectionType_2" );
    layout7->addWidget( LabelCommectionType_2 );

    ProfileComboBox = new KComboBox( FALSE, this, "ProfileComboBox" );
    ProfileComboBox->setMinimumSize( QSize( 150, 0 ) );
    layout7->addWidget( ProfileComboBox );

    ProfileNetworkNatOptionsBaseLayout->addLayout( layout7, 0, 0 );
    spacer4 = new QSpacerItem( 21, 51, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ProfileNetworkNatOptionsBaseLayout->addItem( spacer4, 3, 0 );
    languageChange();
    resize( QSize(343, 127).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( UseUdpCheckbox, SIGNAL( toggled(bool) ), this, SLOT( useUdpToggled(bool) ) );
    connect( UdpPortCheckbox, SIGNAL( toggled(bool) ), this, SLOT( udpPortToggled(bool) ) );

    // tab order
    setTabOrder( ProfileComboBox, UseUdpCheckbox );
    setTabOrder( UseUdpCheckbox, UdpPortCheckbox );
    setTabOrder( UdpPortCheckbox, UdpPortSpinbox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileNetworkNatOptionsBase::~ProfileNetworkNatOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileNetworkNatOptionsBase::languageChange()
{
    setCaption( tr2i18n( "NAT" ) );
    UdpPortCheckbox->setText( tr2i18n( "&UDP port for NAT-T:" ) );
    QToolTip::add( UdpPortCheckbox, tr2i18n( "Check this for specify an own port for NAT-T" ) );
    QToolTip::add( UdpPortSpinbox, tr2i18n( "UDP port for NAT-T" ) );
    UseUdpCheckbox->setText( tr2i18n( "Use UDP (NAT-T)" ) );
    QToolTip::add( UseUdpCheckbox, tr2i18n( "Check this if you want to use NAT-T (UDP encapsulation)" ) );
    QWhatsThis::add( UseUdpCheckbox, tr2i18n( "If you behind a router (mostly if you are using ADSL which is not directly connected to your computer or connected via LAN) you should enable this" ) );
    LabelCommectionType_2->setText( tr2i18n( "Profile:" ) );
    QToolTip::add( ProfileComboBox, tr2i18n( "Profile" ) );
    QWhatsThis::add( ProfileComboBox, tr2i18n( "This is the current profile." ) );
}

void ProfileNetworkNatOptionsBase::udpPortToggled(bool)
{
    qWarning( "ProfileNetworkNatOptionsBase::udpPortToggled(bool): Not implemented yet" );
}

void ProfileNetworkNatOptionsBase::useUdpToggled(bool)
{
    qWarning( "ProfileNetworkNatOptionsBase::useUdpToggled(bool): Not implemented yet" );
}

#include "profilenetworknatoptionsbase.moc"
