#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './advancedprofiledialogbase.ui'
**
** Created: Tue Jul 25 12:12:28 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "advancedprofiledialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <klineedit.h>
#include <qspinbox.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kcombobox.h"

/*
 *  Constructs a AdvancedProfileDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AdvancedProfileDialogBase::AdvancedProfileDialogBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AdvancedProfileDialogBase" );
    AdvancedProfileDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "AdvancedProfileDialogBaseLayout"); 

    AdvancedSettingsCheckbox = new QCheckBox( this, "AdvancedSettingsCheckbox" );

    AdvancedProfileDialogBaseLayout->addWidget( AdvancedSettingsCheckbox, 0, 0 );
    spacer63 = new QSpacerItem( 20, 56, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AdvancedProfileDialogBaseLayout->addItem( spacer63, 2, 0 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    LocalPortCheckbox = new QCheckBox( groupBox3, "LocalPortCheckbox" );

    groupBox3Layout->addWidget( LocalPortCheckbox, 5, 0 );

    SingleDesCheckbox = new QCheckBox( groupBox3, "SingleDesCheckbox" );

    groupBox3Layout->addWidget( SingleDesCheckbox, 4, 0 );

    NtDomainNameLineedit = new KLineEdit( groupBox3, "NtDomainNameLineedit" );

    groupBox3Layout->addMultiCellWidget( NtDomainNameLineedit, 0, 0, 1, 3 );

    IkeGroupCheckbox = new QCheckBox( groupBox3, "IkeGroupCheckbox" );

    groupBox3Layout->addWidget( IkeGroupCheckbox, 2, 0 );

    PerfectForwardSecurityCheckbox = new QCheckBox( groupBox3, "PerfectForwardSecurityCheckbox" );

    groupBox3Layout->addWidget( PerfectForwardSecurityCheckbox, 3, 0 );

    ApplicationVersionCheckbox = new QCheckBox( groupBox3, "ApplicationVersionCheckbox" );

    groupBox3Layout->addWidget( ApplicationVersionCheckbox, 1, 0 );

    NtDomainNameCheckbox = new QCheckBox( groupBox3, "NtDomainNameCheckbox" );

    groupBox3Layout->addWidget( NtDomainNameCheckbox, 0, 0 );

    UseGlobalIpsecSecretCheckbox = new QCheckBox( groupBox3, "UseGlobalIpsecSecretCheckbox" );

    groupBox3Layout->addMultiCellWidget( UseGlobalIpsecSecretCheckbox, 4, 4, 1, 2 );

    LocalPortSpinbox = new QSpinBox( groupBox3, "LocalPortSpinbox" );
    LocalPortSpinbox->setMaxValue( 65535 );
    LocalPortSpinbox->setValue( 500 );

    groupBox3Layout->addWidget( LocalPortSpinbox, 5, 1 );
    spacer7 = new QSpacerItem( 150, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox3Layout->addMultiCell( spacer7, 5, 5, 2, 3 );
    spacer61 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox3Layout->addItem( spacer61, 4, 3 );

    PerfectForwardSecrecyCombobox = new KComboBox( FALSE, groupBox3, "PerfectForwardSecrecyCombobox" );

    groupBox3Layout->addMultiCellWidget( PerfectForwardSecrecyCombobox, 3, 3, 1, 3 );

    IkeGroupCombobox = new KComboBox( FALSE, groupBox3, "IkeGroupCombobox" );

    groupBox3Layout->addMultiCellWidget( IkeGroupCombobox, 2, 2, 1, 3 );

    ApplicationVersionLineedit = new KLineEdit( groupBox3, "ApplicationVersionLineedit" );

    groupBox3Layout->addMultiCellWidget( ApplicationVersionLineedit, 1, 1, 1, 3 );

    AdvancedProfileDialogBaseLayout->addWidget( groupBox3, 1, 0 );
    languageChange();
    resize( QSize(539, 303).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( AdvancedSettingsCheckbox, NtDomainNameCheckbox );
    setTabOrder( NtDomainNameCheckbox, NtDomainNameLineedit );
    setTabOrder( NtDomainNameLineedit, ApplicationVersionCheckbox );
    setTabOrder( ApplicationVersionCheckbox, ApplicationVersionLineedit );
    setTabOrder( ApplicationVersionLineedit, IkeGroupCheckbox );
    setTabOrder( IkeGroupCheckbox, IkeGroupCombobox );
    setTabOrder( IkeGroupCombobox, PerfectForwardSecurityCheckbox );
    setTabOrder( PerfectForwardSecurityCheckbox, PerfectForwardSecrecyCombobox );
    setTabOrder( PerfectForwardSecrecyCombobox, SingleDesCheckbox );
    setTabOrder( SingleDesCheckbox, UseGlobalIpsecSecretCheckbox );
    setTabOrder( UseGlobalIpsecSecretCheckbox, LocalPortCheckbox );
    setTabOrder( LocalPortCheckbox, LocalPortSpinbox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AdvancedProfileDialogBase::~AdvancedProfileDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AdvancedProfileDialogBase::languageChange()
{
    setCaption( tr2i18n( "Advanced Profile Settings" ) );
    AdvancedSettingsCheckbox->setText( tr2i18n( "Enable advanced settings" ) );
    QToolTip::add( AdvancedSettingsCheckbox, tr2i18n( "Check for use of advanced settings" ) );
    groupBox3->setTitle( tr2i18n( "Advanced Profile Settings" ) );
    LocalPortCheckbox->setText( tr2i18n( "Local port:" ) );
    QToolTip::add( LocalPortCheckbox, tr2i18n( "Check this if you want to specify an own local port for use with the tunnel" ) );
    SingleDesCheckbox->setText( tr2i18n( "Enable single DES" ) );
    QToolTip::add( SingleDesCheckbox, tr2i18n( "Check for use of Single DES (insecure)" ) );
    QToolTip::add( NtDomainNameLineedit, tr2i18n( "Domain name for authentication:" ) );
    IkeGroupCheckbox->setText( tr2i18n( "IKE DH group:" ) );
    QToolTip::add( IkeGroupCheckbox, tr2i18n( "Check this for use a special Diffie Hellman group" ) );
    PerfectForwardSecurityCheckbox->setText( tr2i18n( "Perfect for&ward secrecy:" ) );
    QToolTip::add( PerfectForwardSecurityCheckbox, tr2i18n( "Check this if you want to select perfect forward secrety method" ) );
    ApplicationVersionCheckbox->setText( tr2i18n( "Application version:" ) );
    QToolTip::add( ApplicationVersionCheckbox, tr2i18n( "Check if you want to send an own application version string" ) );
    NtDomainNameCheckbox->setText( tr2i18n( "(NT-) Domain name for authentication" ) );
    QToolTip::add( NtDomainNameCheckbox, tr2i18n( "Check if domain name for authentication is needed" ) );
    UseGlobalIpsecSecretCheckbox->setText( tr2i18n( "&Use global IPSec secret" ) );
    QToolTip::add( UseGlobalIpsecSecretCheckbox, tr2i18n( "Check for use global IPSec secret from /etc/vpnc/default.conf" ) );
    QToolTip::add( LocalPortSpinbox, tr2i18n( "The local port for use with tunnel" ) );
    QToolTip::add( PerfectForwardSecrecyCombobox, tr2i18n( "Diffie Helman group for Perfect Forward Secrecy", "Automatic keying has a property called perfect forward secrecy. This is the Diffie Helman group for PFS." ) );
    QWhatsThis::add( PerfectForwardSecrecyCombobox, tr2i18n( "This is the Diffie Helman group for PFS.\n"
"The following assignment will is used:\n"
"server = DH group is recieved from server (cisco only)\n"
"nopfs = no pfs is used\n"
"dh1 = modp768\n"
"dh2 = modp1024\n"
"dh5 = modp1536\n"
"d14 = modp2048 (racoon only)\n"
"dh15= modp3072 (racoon only)\n"
"dh16 = modp4096 (racoon only)\n"
"dh17 = modp6144 (racoon only)\n"
"dh18 = modp8192 (racoon only)" ) );
    QToolTip::add( IkeGroupCombobox, tr2i18n( "Diffie Hellman group" ) );
    QWhatsThis::add( IkeGroupCombobox, tr2i18n( "This define the group used for the Diffie-Hellman exponentiations. The following assignment will is used:\n"
"dh1 = modp768\n"
"dh2 = modp1024\n"
"dh5 = modp1536\n"
"d14 = modp2048 (only racoon)\n"
"dh15 = modp3072 (only racoon)\n"
"dh16 = modp4096 (only racoon)\n"
"dh17 = modp6144 (only racoon)\n"
"dh18 = modp8192 (only racoon)" ) );
    ApplicationVersionLineedit->setText( QString::null );
    QToolTip::add( ApplicationVersionLineedit, tr2i18n( "Application string" ) );
}

#include "advancedprofiledialogbase.moc"
