#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profileciscooptionsbase.ui'
**
** Created: Tue Jul 25 12:12:26 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profileciscooptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"
#include "klineedit.h"
#include "knuminput.h"

/*
 *  Constructs a ProfileCiscoOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileCiscoOptionsBase::ProfileCiscoOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileCiscoOptionsBase" );
    ProfileCiscoOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileCiscoOptionsBaseLayout"); 

    layout11 = new QVBoxLayout( 0, 0, 6, "layout11"); 

    layout10 = new QVBoxLayout( 0, 0, 6, "layout10"); 

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 
    spacer48 = new QSpacerItem( 144, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer48 );

    LabelCommectionType_2 = new QLabel( this, "LabelCommectionType_2" );
    layout8->addWidget( LabelCommectionType_2 );
    layout9->addLayout( layout8 );

    ProfileComboBox = new KComboBox( FALSE, this, "ProfileComboBox" );
    ProfileComboBox->setMinimumSize( QSize( 150, 0 ) );
    layout9->addWidget( ProfileComboBox );
    layout10->addLayout( layout9 );

    layout8_2 = new QHBoxLayout( 0, 0, 6, "layout8_2"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    LabelID = new QLabel( this, "LabelID" );
    layout7->addWidget( LabelID );
    spacer15 = new QSpacerItem( 120, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer15 );
    layout8_2->addLayout( layout7 );

    IDLineEdit = new KLineEdit( this, "IDLineEdit" );
    layout8_2->addWidget( IDLineEdit );
    layout10->addLayout( layout8_2 );

    layout17 = new QHBoxLayout( 0, 0, 6, "layout17"); 

    KeepDefaultRouteCheckBox = new QCheckBox( this, "KeepDefaultRouteCheckBox" );
    layout17->addWidget( KeepDefaultRouteCheckBox );
    spacer15_2 = new QSpacerItem( 211, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout17->addItem( spacer15_2 );
    layout10->addLayout( layout17 );

    layout16 = new QHBoxLayout( 0, 0, 6, "layout16"); 

    AllowEmptyGroupPasswordCheckBox = new QCheckBox( this, "AllowEmptyGroupPasswordCheckBox" );
    layout16->addWidget( AllowEmptyGroupPasswordCheckBox );
    spacer16 = new QSpacerItem( 101, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout16->addItem( spacer16 );
    layout10->addLayout( layout16 );

    layout7_2 = new QHBoxLayout( 0, 0, 6, "layout7_2"); 

    LabelID_2 = new QLabel( this, "LabelID_2" );
    layout7_2->addWidget( LabelID_2 );
    spacer6 = new QSpacerItem( 131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7_2->addItem( spacer6 );

    PeerTimeoutIntNumInput = new KIntNumInput( this, "PeerTimeoutIntNumInput" );
    PeerTimeoutIntNumInput->setMinValue( 0 );
    layout7_2->addWidget( PeerTimeoutIntNumInput );
    layout10->addLayout( layout7_2 );
    layout11->addLayout( layout10 );
    spacer4 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout11->addItem( spacer4 );

    ProfileCiscoOptionsBaseLayout->addLayout( layout11, 0, 0 );
    languageChange();
    resize( QSize(359, 204).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( ProfileComboBox, IDLineEdit );
    setTabOrder( IDLineEdit, KeepDefaultRouteCheckBox );
    setTabOrder( KeepDefaultRouteCheckBox, AllowEmptyGroupPasswordCheckBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileCiscoOptionsBase::~ProfileCiscoOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileCiscoOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Cisco" ) );
    LabelCommectionType_2->setText( tr2i18n( "Profile:" ) );
    QToolTip::add( ProfileComboBox, tr2i18n( "Profile" ) );
    QWhatsThis::add( ProfileComboBox, tr2i18n( "This is the current profile" ) );
    LabelID->setText( tr2i18n( "IPSec ID:" ) );
    QToolTip::add( IDLineEdit, tr2i18n( "IPSec ID of remote side" ) );
    QWhatsThis::add( IDLineEdit, tr2i18n( "This is the IPSec ID" ) );
    KeepDefaultRouteCheckBox->setText( tr2i18n( "Keep default route" ) );
    QToolTip::add( KeepDefaultRouteCheckBox, tr2i18n( "Check this, if you want to keep the default route" ) );
    AllowEmptyGroupPasswordCheckBox->setText( tr2i18n( "Allow empt&y group password (insecure!)" ) );
    AllowEmptyGroupPasswordCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    QToolTip::add( AllowEmptyGroupPasswordCheckBox, tr2i18n( "Check this, if you want to allow an empty group password. This is insecure but in some cases its needed." ) );
    LabelID_2->setText( tr2i18n( "Peer timeout:" ) );
    QToolTip::add( LabelID_2, tr2i18n( "Peer timeout" ) );
    QToolTip::add( PeerTimeoutIntNumInput, tr2i18n( "Peer timeout, after its reached KVpnc does reconnect. Value of 0 disables it." ) );
}

#include "profileciscooptionsbase.moc"
