#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilecmdexecbeforeconnectoptionsbase.ui'
**
** Created: Tue Jul 25 12:12:26 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilecmdexecbeforeconnectoptionsbase.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <ktextedit.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ktextedit.h"
#include "kcombobox.h"

/*
 *  Constructs a ProfileCmdExecBeforeConnectOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileCmdExecBeforeConnectOptionsBase::ProfileCmdExecBeforeConnectOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileCmdExecBeforeConnectOptionsBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ProfileCmdExecBeforeConnectOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileCmdExecBeforeConnectOptionsBaseLayout"); 

    ExcuteCmdBeforeConnectCheckBox = new QCheckBox( this, "ExcuteCmdBeforeConnectCheckBox" );

    ProfileCmdExecBeforeConnectOptionsBaseLayout->addMultiCellWidget( ExcuteCmdBeforeConnectCheckBox, 1, 1, 0, 2 );

    CmdBeforeConnectTextEdit = new KTextEdit( this, "CmdBeforeConnectTextEdit" );
    CmdBeforeConnectTextEdit->setEnabled( FALSE );
    CmdBeforeConnectTextEdit->setMinimumSize( QSize( 0, 300 ) );
    CmdBeforeConnectTextEdit->setCursor( QCursor( 0 ) );

    ProfileCmdExecBeforeConnectOptionsBaseLayout->addMultiCellWidget( CmdBeforeConnectTextEdit, 2, 2, 0, 2 );
    spacer48 = new QSpacerItem( 286, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ProfileCmdExecBeforeConnectOptionsBaseLayout->addItem( spacer48, 0, 0 );

    LabelCommectionType_2 = new QLabel( this, "LabelCommectionType_2" );

    ProfileCmdExecBeforeConnectOptionsBaseLayout->addWidget( LabelCommectionType_2, 0, 1 );

    ProfileComboBox = new KComboBox( FALSE, this, "ProfileComboBox" );
    ProfileComboBox->setMinimumSize( QSize( 150, 0 ) );

    ProfileCmdExecBeforeConnectOptionsBaseLayout->addWidget( ProfileComboBox, 0, 2 );
    languageChange();
    resize( QSize(518, 458).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( ExcuteCmdBeforeConnectCheckBox, SIGNAL( toggled(bool) ), this, SLOT( execCmdBeforeConnectToggled(bool) ) );

    // tab order
    setTabOrder( ProfileComboBox, ExcuteCmdBeforeConnectCheckBox );
    setTabOrder( ExcuteCmdBeforeConnectCheckBox, CmdBeforeConnectTextEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileCmdExecBeforeConnectOptionsBase::~ProfileCmdExecBeforeConnectOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileCmdExecBeforeConnectOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Command Execution Before Connect" ) );
    ExcuteCmdBeforeConnectCheckBox->setText( tr2i18n( "Execute command before connect" ) );
    QToolTip::add( ExcuteCmdBeforeConnectCheckBox, tr2i18n( "check this for executing command after connect" ) );
    QWhatsThis::add( ExcuteCmdBeforeConnectCheckBox, tr2i18n( "If this option is checked, the command in the field below will be  executed after the connection was sucessful established." ) );
    QToolTip::add( CmdBeforeConnectTextEdit, tr2i18n( "Command to execute before connect" ) );
    QWhatsThis::add( CmdBeforeConnectTextEdit, tr2i18n( "This is the command to be executed before connect. Normal shell commands are accepted." ) );
    LabelCommectionType_2->setText( tr2i18n( "Profile:" ) );
    QToolTip::add( ProfileComboBox, tr2i18n( "Profile" ) );
    QWhatsThis::add( ProfileComboBox, tr2i18n( "This is the current profile." ) );
}

void ProfileCmdExecBeforeConnectOptionsBase::execCmdBeforeConnectToggled(bool)
{
    qWarning( "ProfileCmdExecBeforeConnectOptionsBase::execCmdBeforeConnectToggled(bool): Not implemented yet" );
}

#include "profilecmdexecbeforeconnectoptionsbase.moc"
