#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profileuseroptionsbase.ui'
**
** Created: Tue Jul 25 12:12:27 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profileuseroptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"
#include "klineedit.h"

/*
 *  Constructs a ProfileUserOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileUserOptionsBase::ProfileUserOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileUserOptionsBase" );
    ProfileUserOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileUserOptionsBaseLayout"); 

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    layout7_2 = new QHBoxLayout( 0, 0, 6, "layout7_2"); 
    spacer48 = new QSpacerItem( 28, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7_2->addItem( spacer48 );

    LabelCommectionType_2 = new QLabel( this, "LabelCommectionType_2" );
    layout7_2->addWidget( LabelCommectionType_2 );

    ProfileComboBox = new KComboBox( FALSE, this, "ProfileComboBox" );
    ProfileComboBox->setMinimumSize( QSize( 150, 0 ) );
    layout7_2->addWidget( ProfileComboBox );
    layout7->addLayout( layout7_2 );

    layout9 = new QGridLayout( 0, 1, 1, 0, 6, "layout9"); 

    LabelUsername = new QLabel( this, "LabelUsername" );

    layout9->addWidget( LabelUsername, 0, 0 );

    UsernameLineEdit = new KLineEdit( this, "UsernameLineEdit" );

    layout9->addWidget( UsernameLineEdit, 0, 1 );

    LabelPassword = new QLabel( this, "LabelPassword" );

    layout9->addWidget( LabelPassword, 1, 0 );

    PasswordEdit = new QLineEdit( this, "PasswordEdit" );
    PasswordEdit->setEchoMode( QLineEdit::Password );

    layout9->addWidget( PasswordEdit, 1, 1 );
    layout7->addLayout( layout9 );

    CheckUserPass = new QCheckBox( this, "CheckUserPass" );
    layout7->addWidget( CheckUserPass );

    DontSaveUsernameCheckBox = new QCheckBox( this, "DontSaveUsernameCheckBox" );
    layout7->addWidget( DontSaveUsernameCheckBox );
    spacer2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout7->addItem( spacer2 );

    ProfileUserOptionsBaseLayout->addLayout( layout7, 0, 0 );
    languageChange();
    resize( QSize(316, 169).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileUserOptionsBase::~ProfileUserOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileUserOptionsBase::languageChange()
{
    setCaption( tr2i18n( "User Data" ) );
    LabelCommectionType_2->setText( tr2i18n( "Profile" ) );
    QToolTip::add( ProfileComboBox, tr2i18n( "Connection type" ) );
    QWhatsThis::add( ProfileComboBox, tr2i18n( "This is the connection type of the profile (e.g. Cisco)." ) );
    LabelUsername->setText( tr2i18n( "User name:" ) );
    QToolTip::add( UsernameLineEdit, tr2i18n( "Your username" ) );
    QWhatsThis::add( UsernameLineEdit, tr2i18n( "This is the user name for the connection." ) );
    LabelPassword->setText( tr2i18n( "Password:" ) );
    QToolTip::add( PasswordEdit, tr2i18n( "Your password" ) );
    QWhatsThis::add( PasswordEdit, tr2i18n( "This is the password for the connection." ) );
    CheckUserPass->setText( tr2i18n( "Save &user password" ) );
    CheckUserPass->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( CheckUserPass, tr2i18n( "Check this for remember your password" ) );
    QWhatsThis::add( CheckUserPass, tr2i18n( "Enable this to save your password in configuration file (or if available: KWallet)." ) );
    DontSaveUsernameCheckBox->setText( tr2i18n( "Dont save username" ) );
    DontSaveUsernameCheckBox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DontSaveUsernameCheckBox, tr2i18n( "Check this for prevent KVpnc to store the username" ) );
    QWhatsThis::add( DontSaveUsernameCheckBox, tr2i18n( "Enable this for prevent KVpnc to store the username" ) );
}

#include "profileuseroptionsbase.moc"
