/****************************************************************************
** Form interface generated from reading ui file './profilewidgetbase.ui'
**
** Created: Tue Jul 25 12:12:24 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef PROFILEWIDGETBASE_H
#define PROFILEWIDGETBASE_H

#include <qvariant.h>
#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class KPushButton;
class QTabWidget;
class QGroupBox;
class KComboBox;
class QLabel;
class KLineEdit;
class QCheckBox;
class QSpinBox;
class QLineEdit;
class KURLRequester;
class KListView;
class QListViewItem;
class KTextEdit;
class QComboBox;

class ProfileWidgetBase : public QWidget
{
    Q_OBJECT

public:
    ProfileWidgetBase( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~ProfileWidgetBase();

    KPushButton* ImportCertificatePushButton;
    KPushButton* RenameSessionPushButton;
    KPushButton* SaveSessionPushButton;
    KPushButton* DeleteSessionPushButton;
    KPushButton* NewSessionPushButton;
    QTabWidget* tabWidget2;
    QWidget* tab;
    QGroupBox* GeneralGroupbox;
    KComboBox* ConnectionTypeComboBox;
    QLabel* LabelGateway;
    KLineEdit* RemoteNetAddrLineEdit;
    QLabel* RemoteNetDividetextLabel;
    KComboBox* RemoteNetMaskComboBox;
    QLabel* LabelRemoteNetwork;
    QLabel* LabelNetworkDevice;
    KLineEdit* gatewayLineEdit;
    KComboBox* NetworkDeviceComboBox;
    QLabel* LabelCommectionType;
    QCheckBox* PingCheckBox;
    KLineEdit* PingIPLineEdit;
    KPushButton* AdvancedSettingsPushButton;
    QWidget* tab_2;
    QGroupBox* CiscoPptpGroupBox;
    QLabel* LabelID;
    KLineEdit* IDLineEdit;
    QGroupBox* OpenvpnGroupBox;
    QLabel* TunnelDeviceTypeLabel;
    KComboBox* TunnelDeviceTypeComboBox;
    QCheckBox* UseUserdefinedPortCheckBox;
    QSpinBox* UserdefinedPortSpinBox;
    QWidget* TabPage;
    QLabel* LabelAuthType;
    KComboBox* AuthTypeComboBox;
    QGroupBox* CertificateGroupBox;
    QLabel* LabelPrivateKeyPassword;
    QLineEdit* PrivkeyPasswordEdit;
    KLineEdit* RemoteIDLineEdit;
    QLabel* LabelCertificate;
    QLabel* LabelPrivateKeyPath;
    KURLRequester* CaCertpathURLRequester;
    QCheckBox* UseSpecialRemoteIDcheckBox;
    QLabel* LabelCertificatePath;
    KURLRequester* privkeypathURLRequester;
    QCheckBox* UseSpecialServerCertificateCheckBox;
    KURLRequester* SpecialServerCertificateURLRequester;
    QLabel* LabelCaCertificatePath;
    KURLRequester* x509certURLRequester;
    KURLRequester* certpathURLRequester;
    QGroupBox* PskGroupBox;
    KLineEdit* PSKLineEdit;
    QLabel* LabelPskFile;
    QCheckBox* PskInFileCheckBox;
    QCheckBox* CheckSavePsk;
    QLabel* LabelPsk;
    KURLRequester* PSKFileURLRequester;
    QWidget* TabPage_2;
    QGroupBox* PasswordGroupBox;
    QLabel* LabelPassword;
    QLineEdit* PasswordEdit;
    QLabel* LabelUsername;
    KLineEdit* UsernameLineEdit;
    QCheckBox* CheckUserPass;
    QWidget* TabPage_3;
    QGroupBox* NetworkRoutesGroupBox;
    QCheckBox* UseExtraNetworkRoutesCheckbox;
    KListView* NetworkListView;
    KPushButton* AddRoutePushButton;
    KPushButton* DeleteNetworkRoutePushButton;
    QGroupBox* NatTGroupBox;
    QCheckBox* UseUdpCheckbox;
    QCheckBox* UdpPortCheckbox;
    QSpinBox* UdpPortSpinbox;
    QCheckBox* UseVirtualIPCheckBox;
    QLabel* LabelRemoteVirtualIp;
    QLabel* LabelLocalVirtualIp;
    KLineEdit* LocalVirtualIpEdit;
    KLineEdit* RemoteVirtualIpLineEdit;
    QWidget* TabPage_4;
    QGroupBox* CommandExecutionGroupBox;
    KTextEdit* CmdBeforeDisconnectTextEdit;
    KTextEdit* CmdBeforeConnectTextEdit;
    QCheckBox* ExcuteCmdBeforeDisconnectCheckBox;
    QCheckBox* ExcuteCmdBeforeConnectCheckBox;
    KTextEdit* CmdAfterDisconnectTextEdit;
    KTextEdit* CmdAfterConnectTextEdit;
    QCheckBox* ExcuteCmdAfterDisconnectCheckBox;
    QCheckBox* ExcuteCmdAfterConnectCheckBox;
    QWidget* TabPage_5;
    QGroupBox* PppdGroupBox;
    QCheckBox* Refuse128BitEncryptionCheckbox;
    QCheckBox* Refuse40BitEncryptionCheckbox;
    QCheckBox* UseNoDeflateCheckbox;
    QCheckBox* RefuseEapCheckbox;
    QCheckBox* GetDnsFromPeerCheckbox;
    QCheckBox* UseNoIpDefaultCheckbox;
    QCheckBox* MtuCheckbox;
    QSpinBox* MtuSpinbox;
    QCheckBox* SetDefaultRouteCheckbox;
    QCheckBox* AllowStatefulModeCheckbox;
    QCheckBox* UseNoMPPECompressionCheckbox;
    QCheckBox* DnsServerCheckbox;
    QCheckBox* RequireMppeCheckbox;
    QCheckBox* ReplaceDefaultRouteCheckbox;
    KLineEdit* DnsServerLineedit;
    QCheckBox* UseNoBsdCompCheckbox;
    QGroupBox* RacoonGroupBox;
    QLabel* HashAlgoTextLabel;
    QComboBox* HashAlgoComboBox;
    QLabel* LabelCommectionType_2;
    KComboBox* ProfileComboBox;

public slots:
    virtual void connectionTypeChanged( int connectiontype);
    virtual void pingIpToggled(bool);
    virtual void importCertificate();
    virtual void profileChanged(const QString&);
    virtual void deleteSessionClicked();
    virtual void saveSessionClicked();
    virtual void newSessionClicked();
    virtual void advancedSettingsClicked();
    virtual void authTypeChanged( int type);
    virtual void useSpecialRemoteIDClicked();
    virtual void renameSessionClicked();
    virtual void executeCmdAfterConnectClicked();
    virtual void executeCmdAfterDisconnectClicked();
    virtual void useVirtualIPClicked();
    virtual void PskInFileToggled();
    virtual void additionalNetworkRoutesToggled(bool);
    virtual void delNetworkRouteClicked();
    virtual void addNetworkRouteClicked();
    virtual void useSpecialServerCertificateToggled(bool);
    virtual void executeCmdBeforeDisconnectClicked();
    virtual void executeCmdBeforeConnectClicked();
    virtual void userdefinedPortToggled(bool);

protected:
    QGridLayout* ProfileWidgetBaseLayout;
    QHBoxLayout* layout39;
    QSpacerItem* spacer69;
    QSpacerItem* spacer42;
    QGridLayout* tabLayout;
    QVBoxLayout* layout72;
    QSpacerItem* spacer19_2;
    QHBoxLayout* layout71;
    QSpacerItem* spacer51;
    QGridLayout* GeneralGroupboxLayout;
    QHBoxLayout* layout83;
    QVBoxLayout* layout82;
    QGridLayout* layout78;
    QHBoxLayout* layout77;
    QHBoxLayout* layout213;
    QSpacerItem* spacer169;
    QHBoxLayout* layout80;
    QHBoxLayout* layout81;
    QSpacerItem* spacer50;
    QGridLayout* tabLayout_2;
    QVBoxLayout* layout85;
    QSpacerItem* spacer36;
    QGridLayout* CiscoPptpGroupBoxLayout;
    QGridLayout* layout27;
    QHBoxLayout* layout71_2;
    QGridLayout* layout26;
    QGridLayout* layout25;
    QSpacerItem* spacer15;
    QHBoxLayout* layout72_2;
    QGridLayout* OpenvpnGroupBoxLayout;
    QHBoxLayout* layout75;
    QSpacerItem* spacer52;
    QHBoxLayout* layout5;
    QSpacerItem* spacer52_2;
    QGridLayout* TabPageLayout;
    QVBoxLayout* layout59;
    QSpacerItem* spacer36_2;
    QVBoxLayout* layout58;
    QHBoxLayout* layout117;
    QSpacerItem* spacer23;
    QGridLayout* CertificateGroupBoxLayout;
    QGridLayout* layout57;
    QSpacerItem* spacer19;
    QHBoxLayout* layout197;
    QSpacerItem* spacer17;
    QHBoxLayout* layout198;
    QSpacerItem* spacer22;
    QHBoxLayout* layout192;
    QSpacerItem* spacer25;
    QHBoxLayout* layout196;
    QSpacerItem* spacer21;
    QHBoxLayout* layout192_2;
    QSpacerItem* spacer25_2;
    QHBoxLayout* layout195;
    QSpacerItem* spacer21_2;
    QGridLayout* PskGroupBoxLayout;
    QGridLayout* layout40;
    QHBoxLayout* layout26_2;
    QSpacerItem* spacer37;
    QHBoxLayout* layout24;
    QSpacerItem* spacer38;
    QHBoxLayout* layout36;
    QSpacerItem* spacer30;
    QHBoxLayout* layout27_2;
    QSpacerItem* spacer18;
    QGridLayout* TabPageLayout_2;
    QVBoxLayout* layout52;
    QSpacerItem* spacer34;
    QGridLayout* PasswordGroupBoxLayout;
    QGridLayout* layout43;
    QSpacerItem* spacer47;
    QHBoxLayout* layout34;
    QSpacerItem* spacer13;
    QHBoxLayout* layout29_2;
    QSpacerItem* spacer14;
    QHBoxLayout* layout31_2;
    QSpacerItem* spacer31;
    QGridLayout* TabPageLayout_3;
    QVBoxLayout* layout79;
    QSpacerItem* spacer29_2;
    QHBoxLayout* layout78_2;
    QGridLayout* NetworkRoutesGroupBoxLayout;
    QVBoxLayout* layout53;
    QHBoxLayout* layout71_2_2;
    QSpacerItem* spacer39_2;
    QHBoxLayout* layout52_2;
    QSpacerItem* spacer31_2;
    QVBoxLayout* layout77_2;
    QSpacerItem* spacer116;
    QGridLayout* NatTGroupBoxLayout;
    QHBoxLayout* layout71_3;
    QSpacerItem* spacer39;
    QHBoxLayout* layout72_3;
    QHBoxLayout* layout14;
    QSpacerItem* spacer7_2;
    QVBoxLayout* layout26_2_2;
    QHBoxLayout* layout24_2;
    QSpacerItem* spacer29;
    QGridLayout* layout25_2;
    QHBoxLayout* layout21_2;
    QHBoxLayout* layout20_2;
    QGridLayout* TabPageLayout_4;
    QGridLayout* CommandExecutionGroupBoxLayout;
    QVBoxLayout* layout70;
    QGridLayout* layout23;
    QGridLayout* layout23_2;
    QGridLayout* TabPageLayout_5;
    QVBoxLayout* layout160;
    QSpacerItem* spacer66;
    QGridLayout* PppdGroupBoxLayout;
    QGridLayout* layout75_2;
    QSpacerItem* spacer50_2;
    QHBoxLayout* layout77_2_2;
    QSpacerItem* spacer59_4;
    QHBoxLayout* layout89;
    QSpacerItem* spacer68;
    QHBoxLayout* layout75_2_2;
    QSpacerItem* spacer62_2_5;
    QHBoxLayout* layout75_3;
    QSpacerItem* spacer62_5;
    QHBoxLayout* layout91;
    QSpacerItem* spacer70;
    QHBoxLayout* layout92_2;
    QSpacerItem* spacer71_2;
    QHBoxLayout* layout94;
    QSpacerItem* spacer7_3_4;
    QHBoxLayout* layout93;
    QSpacerItem* spacer72;
    QHBoxLayout* layout76_2;
    QSpacerItem* spacer60_4;
    QHBoxLayout* layout92_2_2;
    QSpacerItem* spacer71_2_2;
    QHBoxLayout* layout88;
    QSpacerItem* spacer67;
    QHBoxLayout* layout90;
    QSpacerItem* spacer69_2;
    QHBoxLayout* layout75_2_2_2;
    QSpacerItem* spacer62_2_2_4;
    QHBoxLayout* layout92;
    QSpacerItem* spacer71;
    QGridLayout* RacoonGroupBoxLayout;
    QHBoxLayout* layout159;
    QSpacerItem* spacer116_2;
    QHBoxLayout* layout158;
    QHBoxLayout* layout69;
    QSpacerItem* spacer48;

protected slots:
    virtual void languageChange();

};

#endif // PROFILEWIDGETBASE_H
